Package org.apache.tools.ant.filters

# Class TokenFilter.Trim

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.filters.TokenFilter.ChainableReaderFilter
org.apache.tools.ant.filters.TokenFilter.Trim

All Implemented Interfaces:
  `Cloneable`, `ChainableReader`, `TokenFilter.Filter`

Enclosing class:
  `TokenFilter`

public static class TokenFilter.Trim extends TokenFilter.ChainableReaderFilter
Filter to trim white space

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Trim()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `filter(String line)`
  filter and/of modify a string

  ### Methods inherited from class org.apache.tools.ant.filters.TokenFilter.ChainableReaderFilter

  `chain, setByLine`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Trim

    public Trim()

- ## Method Details

  - ### filter

    public String filter(String line)
    Description copied from interface: `TokenFilter.Filter`
    filter and/of modify a string
    Parameters:
      `line` - the string to be trimmed
    Returns:
      the trimmed string